2025-10-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 4.1.2

2025-10-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 4.2.1

2025-10-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 4.2 branch, version 4.2.0

2025-09-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 4.1.1

2025-05-09 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: 4.1 is stable

2025-04-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 4.1 branch, version 4.1.0, quoting++

2025-01-31 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: marked 4.0.0 as stable

2024-10-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 4.0 branch, 3.9 branch is stable now,
	  version 4.0.0

2024-05-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.9.2

2024-03-28 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.9.1/3.8.4

2024-03-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 3.9 branch, 3.8 branch is stable now,
	  versions 3.9.0/3.8.3

2023-11-03 Pavel Vinogradov <public@sorcemage.org>
	* DETAILS: version 3.8.2

2023-08-31 Pavel Vinogradov <public@sorcemage.org>
	* DETAILS: versions 3.8.1/3.6.3

2023-05-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 3.8 branch, 3.7 branch is stable now,
	  versions 3.8.0/3.7.3

2023-04-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.7.2 for devel|3.7 branch

2023-03-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.7.1 for devel|3.7 branch

2023-02-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.6.2/3.5.4, SECURITY_PATCH++, (CVE-2023-0286)

2022-12-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 3.7 branch, 3.6 branch is stable now

2022-11-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.6.1 for devel|3.6 branch

2022-10-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 3.6 branch, 3.5 branch is stable now

2022-05-31 Ismael Luceno <ismael@sourcemage.org>
	* PROVIDES: added LIBTLS

2022-05-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.5.3 for devel|3.5 branch

2022-04-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.5.2 for devel|3.5 branch

2022-03-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.5.3/3.4.3/3.3.6, SECURITY_PATCH++

2022-02-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 3.5 branch, 3.4 branch is stable now

2021-11-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.4.2 for devel|3.4 branch

2021-10-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.4.1 for devel|3.4 branch

2021-10-05 Vlad Glagolev <stealth@sourcemage.org>
	* patches-3.3/fix-compatibility-with-pre-rfc-5280-certificates.patch:
	  becomes a real file as rsync-friendly

2021-10-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 3.3.5 and 3.2.7

2021-09-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 3.4 branch, 3.3 branch is stable now

2021-08-25 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated LIBRESSL_BRANCH=devel|stable to 3.3.4

2021-06-21 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* patches-3.3/fix-compatibility-with-pre-rfc-5280-certificates.patch:
	  add pre-RFC-5280 compatibility patch for 3.3

2021-05-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: 3.3.3 is the first stable 3.3 release
	* PRE_BUILD: dropped stable|devel override

2021-05-04 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated LIBRESSL_BRANCH=devel to 3.3.3

2021-04-23 Ismael Luceno <ismael@sourcemage.org>
	* INSTALL: fixed installation of openssl.cnf for 3.3

2021-04-18 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated LIBRESSL_BRANCH=devel to 3.3.2

2021-03-20 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated LIBRESSL_BRANCH=stable to 3.2.5
	  SECURITY_PATCH++

2021-02-15 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated LIBRESSL_BRANCH=stable to 3.2.4

2020-12-24 Ismael Luceno <ismael@iodev.co.uk>
	* PREPARE: Added branch 3.3
	* DETAILS: Updated devel to 3.3.1
	  Updated stable (3.2) to 3.2.3
	  Updated 3.1 to 3.1.5

2020-11-01 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: Updated devel & stable to 3.2.2
	* DETAILS, PREPARE, PRE_BUILD: updated branches
	* patches-2.9/fix-compatibility-with-pre-rfc-5280-certificates.patch,
	* patches-3.2/fix-compatibility-with-pre-rfc-5280-certificates.patch:
	  Fix verification of odd but valid certificates

2020-04-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.1.0

2019-10-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 3.0.2, SECURITY_PATCH++, (CVE-2019-1563)

2019-10-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 3.0.1, SECURITY_PATCH++, (CVE-2019-1547)

2019-08-20 Pavel Vinogradov <public@sourcemage.org>
	* PRE_BUILD, patches/001-non_glibc.patch: fixed building stable branch
	  on non-glibc systems

2019-08-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: added devel 3.0.0, shifted 2.9.2 to stable, 2.8.3 to old,
	  2.7.5 is deprecated

2019-05-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.9.2

2019-04-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.9.1

2019-03-29 Treeve Jelbert <treeve@sourcemage.org>
	* CONFLICTS UP_TRIGGERS: add openssl-1.1

2018-12-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: added devel 2.9.0, shifted 2.8.3 to stable, 2.7.5 to old,
	  2.5.5 is deprecated

2018-12-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versions 2.8.3/2.7.5

2018-10-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.8.2

2018-09-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.1

2018-08-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.8.0, reorganized multiversioning:
	  stable is 2.7.4, old is 2.5.5

2018-06-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.7.4
	  SECURITY_PATCH++

2018-05-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.7.3

2018-04-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.7.2

2018-03-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.7.1

2018-03-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.7.0, removed sourcing of grimoire FUNCTIONS

2017-12-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.6.4

2017-11-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.6.3

2017-09-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.6.2

2017-09-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.6.1

2017-07-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: added 2.6.x branch, reorganized multiversioning

2017-07-13 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.5.5 for experimental branch

2017-05-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.5.4 for experimental branch,
	  SECURITY_PATCH++, (CVE-2017-8301)

2017-04-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.5.3 for experimental branch

2017-03-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.5.2 for experimental branch

2017-02-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 2.5.1/2.4.5/2.3.10

2016-11-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 2.4.4/2.3.9, SECURITY_PATCH++, (CVE-2016-8610)

2016-09-28 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 2.5.0/2.4.3/2.3.8,
	  SECURITY_PATCH++, (CVE-2016-6304)
	* PREPARE: added experimental branch 2.5.x

2016-08-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: versions 2.4.2/2.3.7

2016-07-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versions 2.4.1/2.3.6

2016-06-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: converted to multiversioned,
	  added devel branch 2.4.0, updated stable to 2.3.5

2016-05-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated mirror to ftp.sourcemage.us

2016-05-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 2.3.4, SECURITY_PATCH++,
	  (CVE-2016-2108, CVE-2016-2107,CVE-2016-2105, CVE-2016-2106,
	  CVE-2016-2109)

2016-01-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 2.3.2

2015-11-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 2.3.1

2015-09-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.3.0
	* INSTALL: adjust

2015-09-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.3
	* UP_TRIGGERS: added trigger for minor version upgrades

2015-08-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.2.2

2015-07-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.3
	  SECURITY_PATCH++ fixes CVE-2015-1788 CVE-2015-1789 CVE-2015-1792

2015-03-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.1.6; SECURITY_PATCH++ (CVE-2015-0286,
	  CVE-2015-0287, CVE-2015-0287, CVE-2015-0289, CVE-2015-0209,
	  CVE-2015-0288, CVE-2015-0207)
	* CONFIGURE: libtls is enabled by default -- removed obsolete flags

2015-03-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: SECURITY_PATCH++ (CVE-2015-0205, CVE-2014-3570,
	  CVE-2014-8275, CVE-2014-3572); added missing licenses; updated long
	  description
	* INSTALL: added, to install config file
	* PREPARE: added, for proper upgrading procedure from openssl

2015-03-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.1.4; added forgotten SECURITY_PATCH for
	  2.1.3 (CVE-2015-0206); quoting paths; updated KEYWORDS; converted to
	  upstream gpg checking; added the 2nd mirror
	* PROVIDES: chmod +x
	* BUILD: added, use LIBRESSL_OPTS
	* CONFIGURE: added, for missing configure options
	* UP_TRIGGERS: removed senseless triggers
	* PREPARE: removed, moved to UP_TRIGGERS
	* libressl.gpg: added, imported D5E4D8D5 public key (Brent Cook
	  <bcook@rapid7.com>)

2015-03-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.3

2014-10-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.1
	  Address POODLE attack by disabling SSLv3 by default

2014-10-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0

2014-08-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.5
	  spell created

